# This is a configuration script
# It performs the substitution of the autoconf elements 
# in the input files.
# The values used for the different

$RHOME = $ENV{"RHOME"};

$R_PACKAGE_DIR="$RHOME/library/Java";

$OMEGA_CLASSPATH_EL="$R_PACKAGE_DIR/org/omegahat/Jars/Environment.jar";
$ANTLR="$R_PACKAGE_DIR/org/omegahat/Jars/antlr.jar";
$JAS="$R_PACKAGE_DIR/org/omegahat/Jars/jas.jar";
$JHELP="$R_PACKAGE_DIR/org/omegahat/Jars/jhall.jar";

while(<>) {

    s/\@OMEGA_CLASSPATH_EL\@/$OMEGA_CLASSPATH_EL/;
    s/\@ANTLR\@/$ANTLR/;
    s/\@JAS\@/$JAS/;
    s/\@JHELP\@/$JHELP/;
    s/\@R_PACKAGE_DIR\@/$R_PACKAGE_DIR/;

    printf "$_";
}
